## org.mortbay.jetty
Interface RequestLog

All Superinterfaces:
  LifeCycle

All Known Implementing Classes:
  NCSARequestLog

    public interface RequestLog

extends LifeCycle

A `RequestLog` can be attached to a `Server` to enable logging of requests/responses.

Author:
  Nigel Canonizado
See Also:
  `Server#setRequestLog`

Method Summary
`void` `log(Request request, Response response)`

Methods inherited from interface org.mortbay.component.LifeCycle
`isFailed, isRunning, isStarted, isStarting, isStopped, isStopping, start, stop`

Method Detail

### log

    void log(Request request,
             Response response)

Copyright © 2007 Mort Bay Consulting. All Rights Reserved.